struct ccwgroup_device
Prev | ccw group devices | Next

## Name

struct ccwgroup_device — ccw group device

## Synopsis

    struct ccwgroup_device {
      unsigned long creator_id;
      enum state;
      unsigned int count;
      struct device dev;
      struct ccw_device * cdev[0];
    };

## Members

creator_id

  unique number of the driver

state

  online/offline state

count

  number of attached slave devices

dev

  embedded device structure

cdev[0]

  variable number of slave devices, allocated as needed

Prev | Up | Next
Chapter 3. The ccwgroup bus | Home | struct ccwgroup_driver